<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (15) on Fri Jun 18 20:43:06 CEST 2021 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-06-18">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="all-classes-index-page">
<script type="text/javascript">var data = {"i0":2,"i1":2,"i2":2,"i3":1,"i4":2,"i5":2,"i6":1,"i7":2,"i8":8,"i9":2,"i10":2,"i11":2,"i12":2,"i13":2,"i14":1,"i15":8,"i16":2,"i17":2,"i18":8,"i19":2,"i20":2,"i21":2,"i22":1};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],8:["t4","Exception Summary"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="type-summary" id="all-classes-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="all-classes-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Classes</button><button role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Interface Summary</button><button role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Class Summary</button><button role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Exception Summary</button></div>
<div id="all-classes-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><a href="fr/iut/librarymanagement/domain/Address.html" title="class in fr.iut.librarymanagement.domain">Address</a></td>
<th class="col-last" scope="row">
<div class="block">Represent an address, for the libraries</div>
</th>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><a href="fr/iut/librarymanagement/domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a></td>
<th class="col-last" scope="row">
<div class="block">Represent an author in base</div>
</th>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><a href="fr/iut/librarymanagement/controller/AuthorController.html" title="class in fr.iut.librarymanagement.controller">AuthorController</a></td>
<th class="col-last" scope="row">
<div class="block">Controller for authors</div>
</th>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><a href="fr/iut/librarymanagement/repository/AuthorRepository.html" title="interface in fr.iut.librarymanagement.repository">AuthorRepository</a></td>
<th class="col-last" scope="row">
<div class="block">The repository of the Author</div>
</th>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><a href="fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain">Book</a></td>
<th class="col-last" scope="row">
<div class="block">Represent a book in base</div>
</th>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><a href="fr/iut/librarymanagement/controller/BookController.html" title="class in fr.iut.librarymanagement.controller">BookController</a></td>
<th class="col-last" scope="row">
<div class="block">Controller for books</div>
</th>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><a href="fr/iut/librarymanagement/repository/BookRepository.html" title="interface in fr.iut.librarymanagement.repository">BookRepository</a></td>
<th class="col-last" scope="row">
<div class="block">The repository of the Author</div>
</th>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><a href="fr/iut/librarymanagement/Config.html" title="class in fr.iut.librarymanagement">Config</a></td>
<th class="col-last" scope="row">
<div class="block">Config of the project</div>
</th>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><a href="fr/iut/librarymanagement/controller/exception/EmptyException.html" title="class in fr.iut.librarymanagement.controller.exception">EmptyException</a></td>
<th class="col-last" scope="row">
<div class="block">Exception to be thrown if the parameter of a request is empty when it should not be</div>
</th>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><a href="fr/iut/librarymanagement/controller/advice/EmptyExceptionAdvice.html" title="class in fr.iut.librarymanagement.controller.advice">EmptyExceptionAdvice</a></td>
<th class="col-last" scope="row">
<div class="block">Advice for EmptyException</div>
</th>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><a href="fr/iut/librarymanagement/domain/Library.html" title="class in fr.iut.librarymanagement.domain">Library</a></td>
<th class="col-last" scope="row">
<div class="block">Represent a library in base</div>
</th>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><a href="fr/iut/librarymanagement/controller/LibraryController.html" title="class in fr.iut.librarymanagement.controller">LibraryController</a></td>
<th class="col-last" scope="row">
<div class="block">Controller for libraries</div>
</th>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><a href="fr/iut/librarymanagement/LibraryManagementApplication.html" title="class in fr.iut.librarymanagement">LibraryManagementApplication</a></td>
<th class="col-last" scope="row">
<div class="block">The main application</div>
</th>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><a href="fr/iut/librarymanagement/domain/LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain">LibraryQuantityAssociation</a></td>
<th class="col-last" scope="row">
<div class="block">Represent an library, with its quantity of books</div>
</th>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><a href="fr/iut/librarymanagement/repository/LibraryRepository.html" title="interface in fr.iut.librarymanagement.repository">LibraryRepository</a></td>
<th class="col-last" scope="row">
<div class="block">The repository of the Author</div>
</th>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><a href="fr/iut/librarymanagement/controller/exception/NotFoundException.html" title="class in fr.iut.librarymanagement.controller.exception">NotFoundException</a></td>
<th class="col-last" scope="row">
<div class="block">Exception to be thrown if a requested element of the database is not found</div>
</th>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><a href="fr/iut/librarymanagement/controller/advice/NotFoundExceptionAdvice.html" title="class in fr.iut.librarymanagement.controller.advice">NotFoundExceptionAdvice</a></td>
<th class="col-last" scope="row">
<div class="block">Advice for NotFoundException</div>
</th>
</tr>
<tr class="row-color" id="i17">
<td class="col-first"><a href="fr/iut/librarymanagement/domain/Opinion.html" title="class in fr.iut.librarymanagement.domain">Opinion</a></td>
<th class="col-last" scope="row">
<div class="block">Represent the opinion of a book</div>
</th>
</tr>
<tr class="alt-color" id="i18">
<td class="col-first"><a href="fr/iut/librarymanagement/controller/exception/RatingException.html" title="class in fr.iut.librarymanagement.controller.exception">RatingException</a></td>
<th class="col-last" scope="row">
<div class="block">Exception to be lifted if there is a problem with the rating of an opinion</div>
</th>
</tr>
<tr class="row-color" id="i19">
<td class="col-first"><a href="fr/iut/librarymanagement/controller/advice/RatingExceptionAdvice.html" title="class in fr.iut.librarymanagement.controller.advice">RatingExceptionAdvice</a></td>
<th class="col-last" scope="row">
<div class="block">Advice for RatingException</div>
</th>
</tr>
<tr class="alt-color" id="i20">
<td class="col-first"><a href="fr/iut/librarymanagement/domain/User.html" title="class in fr.iut.librarymanagement.domain">User</a></td>
<th class="col-last" scope="row">
<div class="block">Represent a user in base</div>
</th>
</tr>
<tr class="row-color" id="i21">
<td class="col-first"><a href="fr/iut/librarymanagement/controller/UserController.html" title="class in fr.iut.librarymanagement.controller">UserController</a></td>
<th class="col-last" scope="row">
<div class="block">Controller for users</div>
</th>
</tr>
<tr class="alt-color" id="i22">
<td class="col-first"><a href="fr/iut/librarymanagement/repository/UserRepository.html" title="interface in fr.iut.librarymanagement.repository">UserRepository</a></td>
<th class="col-last" scope="row">
<div class="block">The repository of the Author</div>
</th>
</tr>
</tbody>
</table>
</div>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
